## com.easysw.cups
Class IPPRequest

    java.lang.Object
      |
      +--com.easysw.cups.IPPRequest

public class IPPRequest
extends java.lang.Object

An `IPPRequest` object is used to hold the status and id's of a request.

Since:
  JDK1.3

Constructor Summary
`IPPRequest()` Constructor
`IPPRequest(int p_request_id, short p_operation_id)` Constructor using request id and operation id.

Method Summary
`void` `setOpStatus(short p_status_code)` Set the operation status of a request.
`void` `setStatus(short p_status_code)` Set the current status of a request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IPPRequest

    public IPPRequest()

  Constructor

### IPPRequest

    public IPPRequest(int p_request_id,
                      short p_operation_id)

  Constructor using request id and operation id.
  Parameters:
    ``p_request_id`` - ID of request.
    ``p_operation_id`` - Operation ID for request.
  See Also:
    `IPPDefs`

Method Detail

### setStatus

    public void setStatus(short p_status_code)

  Set the current status of a request.
  Parameters:
    ``p_status_code`` - Status code.
  See Also:
    `IPPDefs`

### setOpStatus

    public void setOpStatus(short p_status_code)

  Set the operation status of a request.
  Parameters:
    ``p_status_code`` - Operation status code.
  See Also:
    `IPPDefs`